xen (4.20.0+68-g35cb38b222-1) unstable; urgency=medium

  * Update to new upstream version 4.20.0+68-g35cb38b222.

 -- Hans van Kranenburg <hans@knorrie.org>  Mon, 05 May 2025 19:24:56 +0200

xen (4.20.0-1) unstable; urgency=medium

  * Update to new upstream version 4.20.0, which also contains
    security fixes for the following issues:
    - deadlock potential with VT-d and legacy PCI device pass-through
      XSA-467 CVE-2025-1713
  * disable dh_dwz as it's of limited use and breaks our build
  * Upload to unstable

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Thu, 06 Mar 2025 09:10:56 +0100

xen (4.20.0~rc2+1-gfcde5e0de8-1~exp1) experimental; urgency=medium

  Significant changes:
  * Update to new upstream version 4.20.0~rc2+1-gfcde5e0de8.

  Changes related to upgrading to Xen 4.20:
  * debian/control: adjust to 4.20
  * Refresh remaining patches if needed
  * debian: ship the new xsd_glue ocaml plugin in xen-utils-V

  Packaging minor fixes and improvements:
  * d/copyright: update year to 2025
  * debian: convert xen-doc to architecture all
  * d/control: mark libxen-dev as Multi-Arch: same
  * d/control: remove versioned dpkg-dev from Build-Depends
  * d/rules: remove environment variables no longer needed for reproducible
    builds
  * d/rules: disable debug build for xen tools
  * update lintian overrides

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Sat, 08 Feb 2025 22:55:56 +0100

xen (4.19.1-1) unstable; urgency=medium

  * Upload to unstable (Closes: #1089033)
  * Pick upstream commit e6472d46680c ("tools/xg: increase LZMA_BLOCK_SIZE for
    uncompressing the kernel") to fix decompressing Linux 6.12 when starting
    in PV mode.
  * Note that the following XSA were not listed, because...
    - XSA-465 has patches for the Linux kernel.
    - XSA-466 contains a documentation update that was only applied to the
      current development version of Xen

 -- Hans van Kranenburg <hans@knorrie.org>  Sat, 21 Dec 2024 11:33:16 +0100

xen (4.19.1-1~exp4) experimental; urgency=medium

  * Upload again, with binaries this time.

 -- Sean Whitton <spwhitton@spwhitton.name>  Sat, 21 Dec 2024 11:43:57 +0800

xen (4.19.1-1~exp3) experimental; urgency=medium

  * d/copyright: Fix invalid "-present" copyright years. (Closes: #1089621)

 -- Hans van Kranenburg <hans@knorrie.org>  Fri, 20 Dec 2024 17:00:44 +0100

xen (4.19.1-1~exp2) experimental; urgency=medium

  * Drop support for armhf (Closes: #989560)
    - src:xen now FTBFS on armhf because OCaml 5.x has no support for native
      compilation on 32-bit systems any more.
    - As seen in #989560, Xen on armhf was already dysfunctional for years
    - The team does not have resources or knowledge to support the armhf build

  [ Maximilian Engelhardt ]

  * d/control: Add Maximilian Engelhardt to Uploaders
  * d/copyright: Specify correct years for authors of debian/*
  * debian: undo ABI-stable t64 package renaming

 -- Hans van Kranenburg <hans@knorrie.org>  Mon, 16 Dec 2024 22:01:57 +0100

xen (4.19.1-1~exp1) experimental; urgency=medium

  * Update to new upstream version 4.19.1, which also contains
    security fixes for the following issues:
    - x86: Deadlock in vlapic_error()
      XSA-462 CVE-2024-45817
    - Deadlock in x86 HVM standard VGA handling
      XSA-463 CVE-2024-45818
    - libxl leaks data to PVH guests via ACPI tables
      XSA-464 CVE-2024-45819
  * Fix compilation on arm64 and armhf with upstream commit ee826bc490
    ("Arm64: adjust __irq_to_desc() to fix build with gcc14")

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Sun, 15 Dec 2024 13:52:56 +0100

xen (4.19.0+14-g0918434e0f-1~exp1) experimental; urgency=medium

  Significant changes:
  * Update to new upstream version 4.19.0+14-g0918434e0f, which also contains
    security fixes for the following issues:
    - x86: Register File Data Sampling
      XSA-452 CVE-2023-28746
    - GhostRace: Speculative Race Conditions
      XSA-453 CVE-2024-2193
    - x86 HVM hypercalls may trigger Xen bug check
      XSA-454 CVE-2023-46842
    - x86: Incorrect logic for BTC/SRSO mitigations
      XSA-455 CVE-2024-31142
    - x86: Native Branch History Injection
      XSA-456 CVE-2024-2201
    - double unlock in x86 guest IRQ handling
      XSA-458 CVE-2024-31143
    - error handling in x86 IOMMU identity mapping
      XSA-460 CVE-2024-31145
    - PCI device pass-through with shared resources
      XSA-461 CVE-2024-31146
  * Note that the following XSA are not listed, because...
    - XSA-457 has patches for the Linux kernel.
    - XSA-459 is within Xapi which is not shipped by this package.
  * Fix compilation with OCaml 5.2.0 (Closes: #1073913)

  Changes related to upgrading to Xen 4.19:
  * debian/control: adjust to 4.19
  * debian/copyright: update for xen 4.19
  * Refresh remaining patches if needed

  Packaging minor fixes and improvements:
  * debian/control: remove old version constraints and cleanup
  * debian/control: update Standards-Version to 4.7.0
  * debian/control: add python3-setuptools dependency
  * debian/rules: cleanup and improved comments
  * debian/rules: enable parallel build
  * debian/rules: move xenstore-control to xen-utils-common (Closes: #1036601)
  * debian: ship systemd service files for xen and xendomains
    (Closes: #1029998)
  * docs/Makefile: Work around a reproducibility issue by generating
    documentation for ppc and riscv architectures.

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Mon, 09 Sep 2024 12:05:47 +0200

xen (4.17.3+36-g54dacb5c02-1) unstable; urgency=medium

  * Update to new upstream version 4.17.3+36-g54dacb5c02, which also contains
    security fixes for the following issues:
    - x86: shadow stack vs exceptions from emulation stubs
      XSA-451 CVE-2023-46841
  * Properly incorporate NMU changes.
  * Pick upstream commit b33a5c5929 ("tools/xenstore/xenstored_control.c:
    correctly print time_t") to fix a FTBFS on armhf with 64 bits time_t.
    (Closes: #1065794)

 -- Hans van Kranenburg <hans@knorrie.org>  Sat, 09 Mar 2024 22:03:11 +0100

xen (4.17.3+10-g091466ba55-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063270

 -- Steve Langasek <vorlon@debian.org>  Thu, 29 Feb 2024 07:08:41 +0000

xen (4.17.3+10-g091466ba55-1) unstable; urgency=medium

  * Update to new upstream version 4.17.3+10-g091466ba55, which also contains
    security fixes for the following issues:
    - arm32: The cache may not be properly cleaned/invalidated (take two)
      XSA-447 CVE-2023-46837
    - pci: phantom functions assigned to incorrect contexts
      XSA-449 CVE-2023-46839
    - VT-d: Failure to quarantine devices in !HVM builds
      XSA-450 CVE-2023-46840
  * Note that the following XSA are not listed, because...
    - XSA-448 has patches for the Linux kernel.
  * Compilation with Python 3.12 has been fixed in upstream commit 4000522008
    ("Only compile the hypervisor with -Wdeclaration-after-statement")
    (Closes: #1062048)

 -- Hans van Kranenburg <hans@knorrie.org>  Sun, 04 Feb 2024 13:45:17 +0100

xen (4.17.2+76-ge1f9cb16e2-1) unstable; urgency=medium

  * Update to new upstream version 4.17.2-76-ge1f9cb16e2, which also contains
    security fixes for the following issues: (Closes: #1056928)
    - x86/AMD: mismatch in IOMMU quarantine page table levels
      XSA-445 CVE-2023-46835
    - x86: BTC/SRSO fixes not fully effective
      XSA-446 CVE-2023-46836

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Wed, 29 Nov 2023 20:17:30 +0100

xen (4.17.2+55-g0b56bed864-1) unstable; urgency=medium

  * Update to new upstream version 4.17.2+55-g0b56bed864, which also contains
    security fixes for the following issues:
    - arm32: The cache may not be properly cleaned/invalidated
      XSA-437 CVE-2023-34321
    - top-level shadow reference dropped too early for 64-bit PV guests
      XSA-438 CVE-2023-34322
    - x86/AMD: Divide speculative information leak
      XSA-439 CVE-2023-20588
    - xenstored: A transaction conflict can crash C Xenstored
      XSA-440 CVE-2023-34323
    - x86/AMD: missing IOMMU TLB flushing
      XSA-442 CVE-2023-34326
    - Multiple vulnerabilities in libfsimage disk handling
      XSA-443 CVE-2023-34325
    - x86/AMD: Debug Mask handling
      XSA-444 CVE-2023-34327 CVE-2023-34328
  * Note that the following XSA are not listed, because...
    - XSA-441 has patches for the Linux kernel.

 -- Hans van Kranenburg <hans@knorrie.org>  Thu, 12 Oct 2023 19:25:55 +0200

xen (4.17.2-1) unstable; urgency=medium

  * Update to new upstream version 4.17.2, which also contains
    security fixes for the following issues: (Closes: #1042102)
    - x86/AMD: Zenbleed
      XSA-433 CVE-2023-20593
    - x86/AMD: Speculative Return Stack Overflow
      XSA-434 CVE-2023-20569
    - x86/Intel: Gather Data Sampling
      XSA-435 CVE-2022-40982
    - arm: Guests can trigger a deadlock on Cortex-A77
      XSA-436 CVE-2023-34320
  * Note that the following XSA are not listed, because...
    - XSA-432 has patches for the Linux kernel.

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Sun, 20 Aug 2023 16:08:59 +0200

xen (4.17.1+2-gb773c48e36-1) unstable; urgency=medium

  * Update to new upstream version 4.17.1+2-gb773c48e36, which also contains
    security fixes for the following issues:
    - x86 shadow paging arbitrary pointer dereference
      XSA-430 CVE-2022-42335
      (Closes: #1034842)
    - Mishandling of guest SSBD selection on AMD hardware
      XSA-431 CVE-2022-42336

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Thu, 18 May 2023 21:26:30 +0200

xen (4.17.0+74-g3eac216e6e-1) unstable; urgency=medium

  * Update to new upstream version 4.17.0+74-g3eac216e6e, which also contains
    security fixes for the following issues: (Closes: #1033297)
    - x86 shadow plus log-dirty mode use-after-free
      XSA-427 CVE-2022-42332
    - x86/HVM pinned cache attributes mis-handling
      XSA-428 CVE-2022-42333 CVE-2022-42334
    - x86: speculative vulnerability in 32bit SYSCALL path
      XSA-429 CVE-2022-42331

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Thu, 23 Mar 2023 22:22:48 +0100

xen (4.17.0+46-gaaf74a532c-1) unstable; urgency=medium

  * Update to new upstream version 4.17.0+46-gaaf74a532c, which also contains
    security fixes for the following issues:
     - x86: Cross-Thread Return Address Predictions
       XSA-426 CVE-2022-27672
       (Closes: #1031567)
  * debian/shuffle-boot-files: fix typo
  * debian/changelog: Fix bug number typo.
  * debian/changelog: Remove duplicate 'Note that'

 -- Hans van Kranenburg <hans@knorrie.org>  Fri, 24 Feb 2023 18:06:42 +0100

xen (4.17.0+24-g2f8851c37f-2) unstable; urgency=medium

  * Upload to unstable now, since we got message from the OCaml team that we
    are not bothering them while they're doing their stack rebuild.

 -- Hans van Kranenburg <hans@knorrie.org>  Mon, 06 Feb 2023 14:27:40 +0100

xen (4.17.0+24-g2f8851c37f-2~exp1) experimental; urgency=medium

  * Upload to experimental NEW to avoid disrupting ocaml transition.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Sun, 05 Feb 2023 13:07:44 +0000

xen (4.17.0+24-g2f8851c37f-1) unstable; urgency=medium

  * Update to new upstream version 4.17.0+24-g2f8851c37f, which also contains
    security fixes for the following issues:
     - Guests can cause Xenstore crash via soft reset
       XSA-425 CVE-2022-42330
       (Closes: #1029830)
  * d/control: update build dependency to libext2fs-dev
  * debian: switch to debhelper compat version 13
  * d/rules: 'dh_missing --fail-missing' is default in dh compat 13
  * d/control: change Depends from lsb-base to sysvinit-utils
  * debian: split debug files out of xen-hypervisor-V-F and xen-utils-V. This
    means that we now start to ship additional separate *-dbg packages.
  * d/xen-utils-common.xendomains.default: remove XENDOMAINS_SYSRQ
  * d/xen-utils-common.xendomains.default: adjust to upstream template
  * debian: remove old leftovers from config file handling
  * d/control: set Rules-Requires-Root: no
  * d/xen-hypervisor-common.lintian-overrides: ignore false positive about
    'debian-news-entry-has-unknown-version'
  * d/rules: use pkg-info.mk and do Maintainer parsing in d/rules
  * Update patch 'Display Debian package version in hypervisor log' to use
    the DEB_VERSION and DEB_MAINTAINER variables that are now available.

  [ Diederik de Haas ]
  * d/control: Drop markdown B-D for documentation
  * ci: Update reason why arm64 crossbuild is disabled

  [ Hans van Kranenburg ]
  * d/copyright: rewrite the file from scratch and make it up to date
  * d/shuffle-boot-files: Add a note about d/not-installed
  * d/shuffle-boot-files: Also handle debug files (Closes: #995233)

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Wed, 01 Feb 2023 21:52:15 +0100

xen (4.17.0-1) unstable; urgency=medium

  * Update to new upstream version 4.17.0.
  * No new security fixes are included.
  * Note that the following XSA are not listed, because...
    - XSA-423 and XSA-424 have patches for the Linux kernel.
  * debian/control: update Standards-Version to 4.6.2
  * debian/control: update Build-Depends for ocaml

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Wed, 21 Dec 2022 22:34:51 +0100

xen (4.17.0~rc4-1~exp1) experimental; urgency=medium

  Significant changes:
  * Update to new upstream version 4.17.0~rc4.

  Changes related to upgrading to Xen 4.17:
  * debian/control: adjust to 4.17
  * Drop "libxl: Fix unneededly rebuilding build.o(pic)", no longer needed
  * Refresh remaining patches if needed

 -- Maximilian Engelhardt <maxi@daemonizer.de>  Wed, 07 Dec 2022 21:01:04 +0100

xen (4.16.2+90-g0d39a6d1ae-1) unstable; urgency=medium

  * Update to new upstream version 4.16.2+90-g0d39a6d1ae, which also contains
    security fixes for the following issues:
     - Xenstore: guests can let run xenstored out of memory
       XSA-326 CVE-2022-42311 CVE-2022-42312 CVE-2022-42313 CVE-2022-42314
       CVE-2022-42315 CVE-2022-42316 CVE-2022-42317 CVE-2022-42318
     - Arm: unbounded memory consumption for 2nd-level page tables
       XSA-409 CVE-2022-33747
     - P2M pool freeing may take excessively long
       XSA-410 CVE-2022-33746
     - lock order inversion in transitive grant copy handling
       XSA-411 CVE-2022-33748
     - x86: unintended memory sharing between guests
       XSA-412 CVE-2022-42327
     - Xenstore: Guests can crash xenstored
       XSA-414 CVE-2022-42309
     - Xenstore: Guests can create orphaned Xenstore nodes
       XSA-415 CVE-2022-42310
     - Xenstore: Guests can cause Xenstore to not free temporary memory
       XSA-416 CVE-2022-42319
     - Xenstore: Guests can get access to Xenstore nodes of deleted domains
       XSA-417 CVE-2022-42320
     - Xenstore: Guests can crash xenstored via exhausting the stack
       XSA-418 CVE-2022-42321
     - Xenstore: Cooperating guests can create arbitrary numbers of nodes
       XSA-419 CVE-2022-42322 CVE-2022-42323
     - Oxenstored 32->31 bit integer truncation issues
       XSA-420 CVE-2022-42324
     - Xenstore: Guests can create arbitrary number of nodes via transactions
       XSA-421 CVE-2022-42325 CVE-2022-42326
     - x86: Multiple speculative security issues
       XSA-422 CVE-2022-23824
   * Note that the following XSA are not listed, because...
     - XSA-413 applies to XAPI which is not included in Debian
   * Drop the "x86/CPUID: surface suitable value in EBX of XSTATE subleaf 1"
     patch again because it's included in upstream changes now.

 -- Hans van Kranenburg <hans@knorrie.org>  Wed, 16 Nov 2022 12:50:33 +0100

xen (4.16.2-2) unstable; urgency=medium

  * debian/control: Add libzstd-dev as Build-Depends
  * Pick upstream commit c3bd0b83ea ("x86/CPUID: surface suitable value in EBX
    of XSTATE subleaf 1") to fix compatibility with Linux 5.19.
    (Closes: #1020787)

 -- Hans van Kranenburg <hans@knorrie.org>  Wed, 28 Sep 2022 19:03:14 +0200

xen (4.16.2-1) unstable; urgency=medium

  * Update to new upstream version 4.16.2, which also contains
    security fixes for the following issues:
    - x86 pv: Race condition in typeref acquisition
      XSA-401 CVE-2022-26362
    - x86 pv: Insufficient care with non-coherent mappings
      XSA-402 CVE-2022-26363 CVE-2022-26364
    - Linux disk/nic frontends data leaks
      XSA-403 CVE-2022-26365 CVE-2022-33740 CVE-2022-33741 CVE-2022-33742
      Note that this XSA also contains patches that have to be applied to the
      Linux kernel to make use of the new mitigations.
    - x86: MMIO Stale Data vulnerabilities
      XSA-404 CVE-2022-21123 CVE-2022-21125 CVE-2022-21166
    - Retbleed - arbitrary speculative code execution with return instructions
      XSA-407 CVE-2022-23816 CVE-2022-23825 CVE-2022-29900
    - insufficient TLB flush for x86 PV guests in shadow mode
      XSA-408 CVE-2022-33745
  * Note that the following XSA are not listed, because...
    - XSA-405 and XSA-406 have patches for the Linux kernel.
  * d/.../grub.d/xen.cfg: Redirect output when running grub-mkconfig so that
    we do not wrongly cause text to end up being part of the generated grub
    configuration. (Closes: #1016547)
  * Clean up lintian overrides that are reported as unused.
  * Move comments about lintian overrides above the override line itself,
    instead of being below, as instructed by the lintian documentation.
  * Deal with formatting changes in lintian output, which invalidate
    overrides we have. Also see Debian bug #1007002 for more information.

 -- Hans van Kranenburg <hans@knorrie.org>  Tue, 23 Aug 2022 13:25:38 +0200

xen (4.16.1-1) unstable; urgency=medium

  * Update to new upstream version 4.16.1, which also contains security fixes
    for the following issues:
    - Racy interactions between dirty vram tracking and paging log dirty
      hypercalls
      XSA-397 CVE-2022-26356
    - Multiple speculative security issues
      XSA-398 (no CVE yet)
    - race in VT-d domain ID cleanup
      XSA-399 CVE-2022-26357
    - IOMMU: RMRR (VT-d) and unity map (AMD-Vi) handling issues
      XSA-400 CVE-2022-26358 CVE-2022-26359 CVE-2022-26360 CVE-2022-26361
  * Note that the following XSA are not listed, because...
    - XSA-396 has patches for the Linux kernel.
  * Don't ship NEWS in libxen* packages. Instead, only ship relevant NEWS
    items for actual hypervisor and/or utils packages they belong to.
    (Closes: #962267)
  * d/control: make xen-hypervisor-common arch specific, just like
    xen-utils-common.
  * d/control: stop recommending qemu-system-x86 on arm, because qemu is not
    being built with xen support on arm...
  * Add a patch for tools/libs/light/Makefile which prevents build.o and
    build.opic to be rebuilt unneededly during the package install phase,
    causing a FTBFS because it triggers the use of ccache, which is not
    allowed in the install phase of building the Debian packages.

  Improvements related to Qemu integration:  [Michael Tokarev]
  * d/xen-utils-common.xen.init: properly disable qemu monitor/serial/parallel
    devices for qemu started at boot.
  * debian: switch from recommending qemu-system-x86 to qemu-system-xen and
    mention this change in the NEWS file.
  * Add patch "give meaningful error message if qemu device model is
    unavailable" to give a useful error message only in case the domU needs
    the qemu device model which is not installed, instead of giving a warning
    about missing qemu even if it is not used by this domain.

  Documentation, grammar and spelling fixes and improvements:
  * d/control: drop obsolete paragraph about separate xen linux kernel package
  * d/control: Harmonize the capitalization of the 'Xen' word  [Diederik de Haas]
  * d/control: Improve spelling and grammar  [Diederik de Haas]`

 -- Hans van Kranenburg <hans@knorrie.org>  Mon, 09 May 2022 22:29:23 +0200

xen (4.16.0+51-g0941d6cb-1) unstable; urgency=medium

  * Update to new upstream version 4.16.0+51-g0941d6cb, which also contains
    security fixes for the following issues:
    - arm: guest_physmap_remove_page not removing the p2m mappings
      XSA-393 CVE-2022-23033
    - A PV guest could DoS Xen while unmapping a grant
      XSA-394 CVE-2022-23034
    - Insufficient cleanup of passed-through device IRQs
      XSA-395 CVE-2022-23035
  * Note that the following XSA are not listed, because...
    - XSA-391 and XSA-392 have patches for the Linux kernel.
  * Upload to unstable now, which obsoletes the Xen 4.14 FTBFS issue.
    (Closes: #1002658)

 -- Hans van Kranenburg <hans@knorrie.org>  Sat, 19 Feb 2022 20:29:32 +0100

xen (4.16.0-1~exp1) experimental; urgency=medium

  Significant changes:
  * Update to new upstream version 4.16.0. This also includes a security fix
    for the following issue, which was not applicable to Xen 4.14 yet:
    - certain VT-d IOMMUs may not work in shared page table mode
      XSA-390 CVE-2021-28710
  * No longer build any package for the i386 architecture. It was already not
    possible to use x86_32 hardware because the i386 packages already
    shipped a 64-bit hypervisor and PV shim. Running 32-bit utils with a
    64-bit hypervisor requires using a compatibility layer that is fragile and
    becomes harder to maintain and test upstream. This change ends the 'grace
    period' in which users should have moved to using a fully 64-bit dom0.
    - debian/{control,rules,salsa-ci.yml,xen-utils-V.install.vsn-in}: make the
      necessary changes
    - Remove the Recommends on libc6-xen, which already actually does not
      exist any more. (Closes: #992909)
    - Drop patch "tools/tests/x86_emulator: Pass -no-pie -fno-pic to gcc on
      x86_32" because it is not relevant any more.

  Changes related to upgrading to Xen 4.16:
  * debian/control: adjust to 4.16  [Maximilian Engelhardt]
  * Drop patches that have been applied upstream
  * Refresh remaining patches if needed
  * debian: follow upstream removal of '.sh' suffix in xl bash_completion file
    [Maximilian Engelhardt]
  * debian/control, debian/libxenstore*: ship a libxenstore4 package instead
    of libxenstore3.0, since upstream bumped the soname
    [Maximilian Engelhardt]

  Packaging minor fixes and improvements  [Maximilian Engelhardt]:
  * debian/rules: set SOURCE_BASE_DIR to the top level build dir so that the
    "Display Debian package version in hypervisor log" patch can use it.
  * Add patch "xen/arch/x86: make objdump output user locale agnostic" to fix
    reproducable builds. This patch will also be sent upstream.
  * d/rules: remove reproducible=+fixfilepath from DEB_BUILD_MAINT_OPTIONS
  * d/salsa-ci.yml: Explicitly set RELEASE variable to unstable
  * d/salsa-ci.yml: disable cross building as it's currently not working
  * debian: call update-grub when installing/removing xen-hypervisor-common
    (Closes: #988901)
  * debian: fix dependency generation for python after dh-python was fixed
    first. (Closes: #976597)
  * debian/rules: remove unused pybuild settings

  Packaging minor fixes and improvements:
  * Improve patches for building the PV shim separately. This enables to
    drop the extra Revert of an upstream commit that was done in
    4.14.0+80-gd101b417b7-1~exp1:
    - Drop patch: Revert "pvshim: make PV shim build selectable from
      configure"
    - Update patch "[...] Respect caller's CONFIG_PV_SHIM" to follow moving
      of a line to a different file
    - Drop patch: "tools/firmware/Makefile: CONFIG_PV_SHIM: enable only on
      x86_64" because that's now already the default upstream
  * debian/control.md5sum: remove this obsolete file
  * Merge patches "vif-common: disable handle_iptable" and
    "t/h/L/vif-common.sh: fix handle_iptable return value" into a single
    patch, since the latter was a fix for the first.
  * debian/control: change the Uploaders email address for Ian Jackson,
    since he does not work at Citrix any more now

 -- Hans van Kranenburg <hans@knorrie.org>  Mon, 17 Jan 2022 18:36:02 +0100

xen (4.14.3+32-g9de3671772-1) unstable; urgency=medium

  * Update to new upstream version 4.14.3+32-g9de3671772, which also contains
    security fixes for the following issues:
    - guests may exceed their designated memory limit
      XSA-385 CVE-2021-28706
    - PCI devices with RMRRs not deassigned correctly
      XSA-386 CVE-2021-28702
    - PoD operations on misaligned GFNs
      XSA-388 CVE-2021-28704 CVE-2021-28707 CVE-2021-28708
    - issues with partially successful P2M updates on x86
      XSA-389 CVE-2021-28705 CVE-2021-28709
  * Note that the following XSA are not listed, because...
    - XSA-387 only applies to Xen 4.13 and older
    - XSA-390 only applies to Xen 4.15
  * Pick the following upstream commits to fix a regression which prevents
    amd64 type hardware to fully power off. The issue was introduced in
    version 4.14.0+88-g1d1d1f5391-1 after including upstream commits to
    improve Raspberry Pi 4 support. (Closes: #994899):
    - 8b6d55c126 ("x86/ACPI: fix mapping of FACS")
    - f390941a92 ("x86/DMI: fix table mapping when one lives above 1Mb")
    - 0f089bbf43 ("x86/ACPI: fix S3 wakeup vector mapping")
    - 16ca5b3f87 ("x86/ACPI: don't invalidate S5 data when S3 wakeup vector
                   cannot be determined")

 -- Hans van Kranenburg <hans@knorrie.org>  Sat, 27 Nov 2021 15:09:47 +0100

xen (4.14.3-1) unstable; urgency=high

  * Update to new upstream version 4.14.3, which also contains security fixes
    for the following issues:
    - IOMMU page mapping issues on x86
      XSA-378 CVE-2021-28694 CVE-2021-28695 CVE-2021-28696
    - grant table v2 status pages may remain accessible after de-allocation
      XSA-379 CVE-2021-28697
    - long running loops in grant table handling
      XSA-380 CVE-2021-28698
    - inadequate grant-v2 status frames array bounds check
      XSA-382 CVE-2021-28699
    - xen/arm: No memory limit for dom0less domUs
      XSA-383 CVE-2021-28700
    - Another race in XENMAPSPACE_grant_table handling
      XSA-384 CVE-2021-28701

 -- Hans van Kranenburg <hans@knorrie.org>  Mon, 13 Sep 2021 11:51:20 +0200

xen (4.14.2+25-gb6a8c4f72d-2) unstable; urgency=medium

  * Add README.Debian.security containing a note about the end of upstream
    security support for Xen 4.14. Install it into xen-hypervisor-common.

 -- Hans van Kranenburg <hans@knorrie.org>  Fri, 30 Jul 2021 16:57:52 +0200

xen (4.14.2+25-gb6a8c4f72d-1) unstable; urgency=medium

  * Update to new upstream version 4.14.2+25-gb6a8c4f72d, which also contains
    security fixes for the following issues:
    - HVM soft-reset crashes toolstack
      XSA-368 CVE-2021-28687
    - xen/arm: Boot modules are not scrubbed
      XSA-372 CVE-2021-28693
    - inappropriate x86 IOMMU timeout detection / handling
      XSA-373 CVE-2021-28692
    - Speculative Code Store Bypass
      XSA-375 CVE-2021-0089 CVE-2021-26313
    - x86: TSX Async Abort protections not restored after S3
      XSA-377 CVE-2021-28690
  * Note that the following XSA are not listed, because...
    - XSA-370 does not contain code changes.
    - XSA-365, XSA-367, XSA-369, XSA-371 and XSA-374 have patches for the
      Linux kernel.
    - XSA-366 only applies to Xen 4.11.

 -- Hans van Kranenburg <hans@knorrie.org>  Sun, 11 Jul 2021 14:29:13 +0200

xen (4.14.1+11-gb0b734a8b3-1) unstable; urgency=medium

  * Update to new upstream version 4.14.1+11-gb0b734a8b3, which also contains
    security fixes for the following issues:
    - IRQ vector leak on x86
      XSA-360 CVE-2021-3308  (Closes: #981052)
    - arm: The cache may not be cleaned for newly allocated scrubbed pages
      XSA-364 CVE-2021-26933
  * Drop separate patches for XSAs up to 359 that are now included in the
    upstream stable branch.

  Packaging bugfixes and improvements [Elliott Mitchell]:
  * debian/rules: Set CC/LD to enable cross-building
  * d/shuffle-binaries: Fix binary shuffling script for cross-building
  * Rework "debian/rules: Do not try to move EFI binaries on armhf"
  * debian/scripts: Optimize runtime scripts
  * debian/xen-utils-common.examples: Remove xm examples
  * d/shuffle-boot-files: make it POSIX compliant  [Hans van Kranenburg, based
    on a patch by Elliott Mitchell]
  * d/shuffle-binaries: Switch loop from for to while
  * d/shuffle-binaries: Switch to POSIX shell, instead of Bash
  * d/shuffle-boot-files: Switch to POSIX shell, instead of Bash
  * debian/xendomains.init: Pipe xen-init-list instead of tmp file

  Make the package build reproducibly [Maximilian Engelhardt]:
  * debian/salsa-ci.yml: enable salsa-ci
  * debian/salsa-ci.yml: enable diffoscope in reprotest
  * debian/rules: use SOURCE_DATE_EPOCH for xen build dates
  * debian/rules: don't include build path in binaries
  * debian/rules: reproducibly build oxenstored
  * Pick the following upstream commits:
    - 5816d327e4 ("xen: don't have timestamp inserted in config.gz")
    - ee41b5c450 ("x86/EFI: don't insert timestamp when SOURCE_DATE_EPOCH is
                   defined")
    - e18dadc5b7 ("docs: use predictable ordering in generated documentation")
  * Include upstream patch that is not committed yet, but needed:
    - docs: set date to SOURCE_DATE_EPOCH if available
  * debian/salsa-ci.yml: don't allow reprotest to fail

  Packaging bugfixes and improvements:
  * d/shuffle-boot-files: Document more inner workings

 -- Hans van Kranenburg <hans@knorrie.org>  Sun, 28 Feb 2021 19:49:45 +0100

xen (4.14.0+88-g1d1d1f5391-2) unstable; urgency=high

  * For now, revert "debian/rules: Set CC/LD to enable cross-building", since
    it causes an FTBFS on i386.

 -- Hans van Kranenburg <hans@knorrie.org>  Tue, 15 Dec 2020 14:57:41 +0100

xen (4.14.0+88-g1d1d1f5391-1) unstable; urgency=high

  * Update to new upstream version 4.14.0+88-g1d1d1f5391, which also contains
    security fixes for the following issues:
    - stack corruption from XSA-346 change
      XSA-355 CVE-2020-29040 (Closes: #976109)
  * Apply security fixes for the following issues:
    - oxenstored: permissions not checked on root node
      XSA-353 CVE-2020-29479
    - xenstore watch notifications lacking permission checks
      XSA-115 CVE-2020-29480
    - Xenstore: new domains inheriting existing node permissions
      XSA-322 CVE-2020-29481
    - Xenstore: wrong path length check
      XSA-323 CVE-2020-29482
    - Xenstore: guests can crash xenstored via watchs
      XSA-324 CVE-2020-29484
    - Xenstore: guests can disturb domain cleanup
      XSA-325 CVE-2020-29483
    - oxenstored memory leak in reset_watches
      XSA-330 CVE-2020-29485
    - oxenstored: node ownership can be changed by unprivileged clients
      XSA-352 CVE-2020-29486
    - undue recursion in x86 HVM context switch code
      XSA-348 CVE-2020-29566
    - infinite loop when cleaning up IRQ vectors
      XSA-356 CVE-2020-29567
    - FIFO event channels control block related ordering
      XSA-358 CVE-2020-29570
    - FIFO event channels control structure ordering
      XSA-359 CVE-2020-29571
  * Note that the following XSA are not listed, because...
    - XSA-349 and XSA-350 have patches for the Linux kernel
    - XSA-354 has patches for the XAPI toolstack

  Packaging bugfixes and improvements:
  * d/rules: do not compress /usr/share/doc/xen/html (Closes: #942611)
  * Add missing CVE numbers to the previous changelog entries

  Packaging bugfixes and improvements [Elliott Mitchell]:
  * d/shuffle-binaries: Make error detection/message overt
  * d/shuffle-binaries: Add quoting for potentially changeable variables
  * d/shuffle-boot-files: Add lots of double-quotes when handling variables
  * debian/rules: Set CC/LD to enable cross-building
  * debian/xen.init: Load xen_acpi_processor on boot
  * d/shuffle-binaries: Remove useless extra argument being passed in

  Packaging bugfixes and improvements [Maximilian Engelhardt]:
  * d/xen-hypervisor-V-F.postinst.vsn-in: use reboot-required
    (Closes: #862408)
  * d/xen-hypervisor-V-F.postrm: actually install script
  * d/xen-hypervisor-V.*: clean up unused files
  * d/xen-hypervisor-V.bug-control.vsn-in: actually install script
  * debian/rules: enable verbose build

  Fixes to patches for upstream code:
  * t/h/L/vif-common.sh: force handle_iptable return value to be 0
    (Closes: #955994)

  * Pick the following upstream commits to improve Raspberry Pi 4 support,
    requested by Elliott Mitchell:
    - 25849c8b16 ("xen/rpi4: implement watchdog-based reset")
    - 17d192e023 ("tools/python: Pass linker to Python build process")
    - 861f0c1109 ("xen/arm: acpi: Don't fail if SPCR table is absent")
    - 1c4aa69ca1 ("xen/acpi: Rework acpi_os_map_memory() and
                   acpi_os_unmap_memory()")
    - 4d625ff3c3 ("xen/arm: acpi: The fixmap area should always be cleared
                   during failure/unmap")
    - dac867bf9a ("xen/arm: Check if the platform is not using ACPI before
                   initializing Dom0less")
    - 9c2bc0f24b ("xen/arm: Introduce fw_unreserved_regions() and use it")
    - 7056f2f89f ("xen/arm: acpi: add BAD_MADT_GICC_ENTRY() macro")
    - 957708c2d1 ("xen/arm: traps: Don't panic when receiving an unknown debug
                   trap")

  * Pick upstream commit ba6e78f0db ("fix spelling errors"). Thanks, Diederik.

 -- Hans van Kranenburg <hans@knorrie.org>  Tue, 15 Dec 2020 13:00:00 +0100

xen (4.14.0+80-gd101b417b7-1) unstable; urgency=medium

  * Re-upload to unstable for rebuild.

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Tue, 24 Nov 2020 10:28:22 +0000

xen (4.14.0+80-gd101b417b7-1~exp2) experimental; urgency=medium

  * Re-upload since apparently DMs aren't allowed NEW?

 -- Ian Jackson <ijackson@chiark.greenend.org.uk>  Mon, 23 Nov 2020 13:24:17 +0000

xen (4.14.0+80-gd101b417b7-1~exp1) experimental; urgency=medium

  * Update to new upstream version 4.14.0+80-gd101b417b7, which also contains
    security fixes for the following issues:
    - Information leak via power sidechannel
      XSA-351 CVE-2020-28368
    - x86 PV guest INVLPG-like flushes may leave stale TLB entries
      XSA-286 CVE-2020-27674
    - unsafe AMD IOMMU page table updates
      XSA-347 CVE-2020-27670
    - undue deferral of IOMMU TLB flushes
      XSA-346 CVE-2020-27671
    - x86: Race condition in Xen mapping code
      XSA-345 CVE-2020-27672
    - lack of preemption in evtchn_reset() / evtchn_destroy()
      XSA-344 CVE-2020-25601
    - races with evtchn_reset()
      XSA-343 CVE-2020-25599
    - out of bounds event channels available to 32-bit x86 domains
      XSA-342 CVE-2020-25600
    - Missing memory barriers when accessing/allocating an event channel
      XSA-340 CVE-2020-25603
    - x86 pv guest kernel DoS via SYSENTER
      XSA-339 CVE-2020-25596
    - once valid event channels may not turn invalid
      XSA-338 CVE-2020-25597
    - PCI passthrough code reading back hardware registers
      XSA-337 CVE-2020-25595
    - race when migrating timers between x86 HVM vCPU-s
      XSA-336 CVE-2020-25604
    - Missing unlock in XENMEM_acquire_resource error path
      XSA-334 CVE-2020-25598
    - x86 pv: Crash when handling guest access to MSR_MISC_ENABLE
      XSA-333 CVE-2020-25602
  * Updating to the most recent upstream stable-4.14 branch also fixes
    additional compiling issues with gcc 10 that we were running into. These
    were: upstream commit 5d45ecabe3c0 ("xen/arm64: force gcc 10+ to always
    inline generic atomics helpers") to fix a FTBFS at mem_access.c and
    upstream commit 0dfddb2116e3 ("tools/xenpmd: Fix gcc10 snprintf warning")
    to fix a FTBFS on armhf. (Closes: #970802)
  * Drop upstream commits d25cc3ec93eb ("libxl: workaround gcc 10.2
    maybe-uninitialized warning") and fff1b7f50e75 ("libxl: fix
    -Werror=stringop-truncation in libxl__prepare_sockaddr_un") from our patch
    pile because these gcc 10 related fixes are in the upstream stable branch
    now.
  * Partially revert "debian/rules: Combine shared Make args" since it caused
    a FTBFS on i386.
  * Revert upstream commit a516bddbd3 ("tools/firmware/Makefile:
    CONFIG_PV_SHIM: enable only on x86_64") and cherry-pick our previous
    commits 0b898ccc2 ("tools/firmware/Makfile: Respect caller's
    CONFIG_PV_SHIM") and a516bddbd3 ("tools/firmware/Makefile: CONFIG_PV_SHIM:
    enable only on x86_64") again to work around a FTBFS where the shim would
    not be built during the i386 package build.
  * Now all FTBFS issues should be resolved, so we can do (Closes: #968965)

  Packaging minor fixes and improvements:
  * d/xen-utils-common.xen.init: Actually *really* include the change to
    disable oom killer for xenstored. It inadvertently got lost in
    4.14.0-1~exp1. (Closes: #961511)

  Lintian related fixes:
  * debian/changelog: fix a typo in the previous changelog entry

 -- Hans van Kranenburg <hans@knorrie.org>  Sun, 22 Nov 2020 02:16:00 +0100

xen (4.14.0-1~exp1) experimental; urgency=medium

  Significant changes:
  * Update to new upstream version 4.14.0.
    (Closes: #866380) about removal of broken xen-bugtool
  * debian/{rules,control}: switch to python 3
    (Closes: #938843) about python 2 removal in bullseye
  * debian/control: Fix python dependency to use python3-dev:any and
    libpython3-dev  [Elliott Mitchell]

  Changes related to upgrading to Xen 4.14:
  * debian/control: adjust to 4.14
  * debian/rules: remove install commands for pkgconfig files, since those
    files are not present any more
  * debian/: Follow fsimage -> xenfsimage renaming
  * debian/xen-utils-V.*: Use @version@ instead of hardcoded version
  * debian/control: add flex, bison
  * debian/control: add libxenhypfs[1]  [Ian Jackson]
  * debian/libxenstore3.0.symbols: drop xprintf
    (Closes: #968965)  [Ian Jackson; also reported by Gianfranco Costamagna]
  * d/scripts/xen-init-name, d/scripts/xen-init-list: rewrite these two
    scripts, hugely simplify them and make them use python 3
  * Pick upstream commits d25cc3ec93eb ("libxl: workaround gcc 10.2
    maybe-uninitialized warning") and fff1b7f50e75 ("libxl: fix
    -Werror=stringop-truncation in libxl__prepare_sockaddr_un") to fix gcc 10
    FTBFS
  * tools: don't build/ship xenmon, it can't work with python 3

  Packaging minor fixes and improvements:
  * debian/rules: Set DEB_BUILD_MAINT_OPTIONS in shell
    (Closes: #939560)  [Ian Jackson; report from Guillem Jover]
  * debian/rules: Improve comment about hardening options
    (Closes: #939560)  [Ian Jackson; report from Guillem Jover]
  * debian/rules: Drop redundant sequence numbers in dh_installinit
    (Closes: #939560)  [Ian Jackson; report from Guillem Jover]
  * d/xen-utils-common.xen.init: add important notes to keep in mind when
    changing this script, related to multi-version handling
  * debian/control: cleanup Uploaders and add myself
  * debian/control: s/libncurses5-dev/libncurses-dev/
  * xen-utils-V scripts: remove update-alternatives command
  * xen-utils-V.postinst.vsn-in: whitespace cosmetics
  * d/xen-utils-common.xen.init: disable oom killer for xenstored
    (Closes: #961511)
  * debian/rules: Combine shared Make args  [Elliott Mitchell]

  Fixes and improvements for cross-compiling  [Elliott Mitchell]:
  * debian/rules: Add --host to tools configure target
  * Pick upstream commit 69953e285638 ('tools: Partially revert
    "Cross-compilation fixes."')

  Lintian related fixes:
  * debian/changelog: trim trailing whitespace.  [Debian Janitor]
  * debian/pycompat: remove obsolete file.  [Debian Janitor]
  * debian/rules: Avoid using $(PWD) variable.  [Debian Janitor]
  * debian/control: hardcode xen-utils-4.14 python3 dependency because
    dh_python can't figure out how to add it
  * debian/control: xen-doc: add ${misc:Depends}
  * d/xen-hypervisor-V-F.lintian-overrides.vsn-in: fix override to use the
    newer debug-suffix-not-dbg tag and correct the file path used so it
    matches again
  * debian/control: remove XS-Python-Version which is deprecated
  * debian/control: drop autotools-dev build dependency because debhelper
    already takes care of this
  * d/xen-utils-V.lintian-overrides.vsn-in: fix rpath override because the
    xenfsimage python .so filename changed from xenfsimage.so into
    xenfsimage.cpython-38-x86_64-linux-gnu.so now, make it match again
  * d/xen-utils-V.lintian-overrides.vsn-in: s/fsimage/xenfsimage/ which is a
    left over change from the rename in some comment lines
  * d/xen-utils-common.xen.init: use /run instead of /var/run because we don't
    expect anyone on a pre-stretch system to build and use these packages
  * debian/control: update Standards-Version to 4.5.0

 -- Hans van Kranenburg <hans@knorrie.org>  Thu, 17 Sep 2020 18:59:28 +0200

xen (4.11.4+24-gddaaccbbab-1) unstable; urgency=medium

  * Update to new upstream version 4.11.4+24-gddaaccbbab, which also contains
    security fixes for the following issues:
    - inverted code paths in x86 dirty VRAM tracking
      XSA-319 CVE-2020-15563
    - Special Register Buffer speculative side channel
      XSA-320 CVE-2020-0543
      N.B: To mitigate this issue, new cpu microcode is required. The changes
      in Xen provide a workaround for affected hardware that is not receiving
      a vendor microcode update. Please refer to the upstream XSA-320 Advisory
      text for more details.
    - insufficient cache write-back under VT-d
      XSA-321 CVE-2020-15565
    - Missing alignment check in VCPUOP_register_vcpu_info
      XSA-327 CVE-2020-15564
    - non-atomic modification of live EPT PTE
      XSA-328 CVE-2020-15567

 -- Hans van Kranenburg <hans@knorrie.org>  Tue, 07 Jul 2020 16:07:39 +0200

xen (4.11.4-1) unstable; urgency=medium

  * Update to new upstream version 4.11.4, which also contains security fixes
    for the following issues:
    - arm: a CPU may speculate past the ERET instruction
      XSA-312 (no CVE yet)
    - multiple xenoprof issues
      XSA-313 CVE-2020-11740 CVE-2020-11741
    - Missing memory barriers in read-write unlock paths
      XSA-314 CVE-2020-11739
    - Bad error path in GNTTABOP_map_grant
      XSA-316 CVE-2020-11743
    - Bad continuation handling in GNTTABOP_copy
      XSA-318 CVE-2020-11742
  * xen-utils and xen-utils-common maint scripts: Replace the previous fix in
    the xen init script with a better fix in the xen-utils package instead, to
    prevent calling the init script stop action (resulting in a disappeared
    xenconsoled) when removing a xen-utils package that belongs to a previous
    (not currently runing) Xen version. Also prevent the xen-utils-common
    package from inadvertently calling stop and start actions because
    dh_installinit would add code for that. (Closes: #932759)
  * debian/NEWS: Mention fixing #932759 and how to deal with the bug

 -- Hans van Kranenburg <hans@knorrie.org>  Tue, 26 May 2020 13:33:17 +0200

xen (4.11.3+24-g14b62ab3e5-1) unstable; urgency=high

  * Update to new upstream version 4.11.3+24-g14b62ab3e5, which also
    contains the following security fixes: (Closes: #947944)
    - Unlimited Arm Atomics Operations
      XSA-295 CVE-2019-17349 CVE-2019-17350
    - VCPUOP_initialise DoS
      XSA-296 CVE-2019-18420
    - missing descriptor table limit checking in x86 PV emulation
      XSA-298 CVE-2019-18425
    - Issues with restartable PV type change operations
      XSA-299 CVE-2019-18421
    - add-to-physmap can be abused to DoS Arm hosts
      XSA-301 CVE-2019-18423
    - passed through PCI devices may corrupt host memory after deassignment
      XSA-302 CVE-2019-18424
    - ARM: Interrupts are unconditionally unmasked in exception handlers
      XSA-303 CVE-2019-18422
    - x86: Machine Check Error on Page Size Change DoS
      XSA-304 CVE-2018-12207
    - TSX Asynchronous Abort speculative side channel
      XSA-305 CVE-2019-11135
    - Device quarantine for alternate pci assignment methods
      XSA-306 CVE-2019-19579
    - find_next_bit() issues
      XSA-307 CVE-2019-19581 CVE-2019-19582
    - VMX: VMentry failure with debug exceptions and blocked states
      XSA-308 CVE-2019-19583
    - Linear pagetable use / entry miscounts
      XSA-309 CVE-2019-19578
    - Further issues with restartable PV type change operations
      XSA-310 CVE-2019-19580
    - Bugs in dynamic height handling for AMD IOMMU pagetables
      XSA-311 CVE-2019-19577
  * Add missing CVE numbers to previous changelog entries

 -- Hans van Kranenburg <hans@knorrie.org>  Wed, 08 Jan 2020 12:41:42 +0100

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog libxentoollog1`.
